/Users/bernard/b20/bsoft/src/rwimg/rwBrookhavenSTEM.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/rwimg/rwBrookhavenSTEM.cpp - Functions for reading and writing Brookhaven STEM files.

SYNOPSIS

#include 'rwBrookhavenSTEM.h'
#include 'file_util.h'
#include 'utilities.h'

  Macros
#define LUTSIZE 256

  Functions
int img_stem_lut_apply (Bimage *p, int neg_stain_flag)
int readBrookhavenSTEM (Bimage *p, int readdata)
Reading a BrookhavenSTEM image file format.
int writeBrookhavenSTEM (Bimage *p)
Writing a BrookhavenSTEM image file format.

  Variables
int verbose

Detailed Description

Functions for reading and writing Brookhaven STEM files.

Author:
    Bernard Heymann

Date:
    Created: 20050729

    Modified: 20130307

Definition in file rwBrookhavenSTEM.cpp.

Macro Definition Documentation

  #define LUTSIZE 256

Definition at line 16 of file rwBrookhavenSTEM.cpp.

Function Documentation

  int img_stem_lut_apply (Bimage * p, int neg_stain_flag)

Definition at line 18 of file rwBrookhavenSTEM.cpp.

  int readBrookhavenSTEM (Bimage * p, int readdata)

Reading a BrookhavenSTEM image file format.

Parameters:
    *p the image structure.
    readdata flag to activate reading of image data.

Returns:
    int error code (<0 means failure). A 2D image format used for the Brookhaven STEM. It has a text header of 4096 bytes (fixed size). The default size is 512x512. File format extension: .dat. Data type: unsigned char. The header specifies the following keywords: SCAN: pixel size in internal units The data is packed into two interleaved channels which are unpacked into two separate images in this function. The first image contains the signal from the LA (large area) detector and the second image contains the signal from either the SA (small area) detector, or the BF (bright field) detector. The data is corrected for signal non-linearity on the fly when read in.

Definition at line 101 of file rwBrookhavenSTEM.cpp.

  int writeBrookhavenSTEM (Bimage * p)

Writing a BrookhavenSTEM image file format.

Parameters:
    *p the image structure.

Returns:
    int error code (<0 means failure). A 2D image format used for the Brookhaven STEM.

Definition at line 188 of file rwBrookhavenSTEM.cpp.

Variable Documentation

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.